.news-content {
    width: auto;
    margin: 0;
    padding: 0 20px;
    text-align: center;
}

.news-content .news-ul {
    margin: 20px 0;
    padding: 0;
    display: inline-block;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.news-content .news-ul li {
    list-style: none;
    margin: auto;
    margin-left: 200px;
    min-height: 50px;
    border-left: 1px dashed #86D6FF;
    padding: 0 0 50px 30px;
    position: relative;
    margin-left: 0;
    padding-left: 0;
    text-align: left;
    position: relative;
    margin-top: 20px;
}

.news-content .news-ul li:last-child {
    border-left: 0;
}

.news-content .news-ul li::before {
    position: absolute;
    left: -18px;
    top: -5px;
    content: " ";
    border: 8px solid rgba(255, 255, 255, 0.74);
    border-radius: 500%;
    background: #258CC7;
    height: 20px;
    width: 20px;
    transition: all 500ms ease-in-out;
    left: 0;
    top: 0;
    transform: translate(-50%, -50%);
}

.news-content .news-ul li:hover::before {
    border-color: #258CC7;
    transition: all 1000ms ease-in-out;
}

.news-ul li .news-item-title {}

.news-ul li .news-item-detail {
    color: rgba(0, 0, 0, 0.5);
    font-size: 12px;
}

.news-ul li .news-timestamp {
    color: #8D8D8D;
    position: absolute;
    width: 100px;
    left: -50%;
    text-align: right;
    font-size: 12px;
    left: 25px;
    text-align: left;
    position: relative;
    margin-top: -20px;
}

.news-ul li .news-item-title,
.news-ul li .news-item-detail {
    padding-left: 25px;
}